Loading...
Searching...
No Matches
EModel Class Reference

## Public Member Functions

| EModel (const std::string &filename)
bool | hasParameter (const std::string &name) const
int | getActiveReportStep ()
bool | hasReportStep (int rstep)
void | setReportStep (int rstep)
std::vector< std::tuple< std::string, Opm::EclIO::eclArrType > > | getListOfParameters () const
std::vector< int > | getListOfReportSteps () const
template<typename T>
const std::vector< T > & | getParam (const std::string &name)
void | resetFilter ()
template<typename T>
void | addFilter (const std::string &param1, const std::string &opperator, T num)
template<typename T>
void | addFilter (const std::string &param1, const std::string &opperator, T num1, T num2)
void | setDepthfwl (const std::vector< float > &fwl)
void | addHCvolFilter ()
int | getNumberOfActiveCells ()
std::tuple< int, int, int > | gridDims ()
template<>
void | addFilter (const std::string &param1, const std::string &opperator, int num)
template<>
void | addFilter (const std::string &param1, const std::string &opperator, int num1, int num2)
template<>
void | addFilter (const std::string &param1, const std::string &opperator, float num)
template<>
void | addFilter (const std::string &param1, const std::string &opperator, float num1, float num2)
template<>
const std::vector< float > & | getParam (const std::string &name)
template<>
const std::vector< int > & | getParam (const std::string &name)

The documentation for this class was generated from the following files:

- opm/utility/EModel.hpp
- opm/utility/EModel.cpp